<?php
add_action( 'after_setup_theme', 'noheader_setup' );
function noheader_setup() {
	add_theme_support( 'post-thumbnails' );
	set_post_thumbnail_size(166, 124, TRUE);
	if ( ! isset( $content_width ) )
	$content_width = 960;
	add_theme_support( 'automatic-feed-links' );
	add_theme_support( 'custom-background' );						// background
	$defaults = array(												// background
		'default-color'          => '',
		'default-image'          => '',
		'wp-head-callback'       => '_custom_background_cb',
		'admin-head-callback'    => '',
		'admin-preview-callback' => ''
	);
	add_action( 'wp_enqueue_scripts', 'noheader_frontend' );
	add_theme_support('menu');
	add_editor_style( 'editor-style.css' );
	add_theme_support( 'woocommerce' );
	add_image_size( 'noheader-logo-size', 330, 100, true );
    add_theme_support( 'site-logo', array( 'size' => 'noheader-logo-size' ) );
    load_theme_textdomain( 'noheader', get_template_directory() . '/languages' );
}
function noheader_widgets() {
	register_sidebar(		array(
	'id' => 'sidebar-left', 'name' => __( 'sidebar-left', 'noheader' ),			
	));
	register_sidebar(		array(
	'id' => 'sidebar-footer1', 'name' => __( 'sidebar-footer1', 'noheader' ),			
	));
	register_sidebar(		array(
	'id' => 'sidebar-footer2', 'name' => __( 'sidebar-footer2', 'noheader' ),			
	));
	register_sidebar(		array(
	'id' => 'sidebar-footer3', 'name' => __( 'sidebar-footer3', 'noheader' ),			
	));
}
add_action( 'widgets_init', 'noheader_widgets' );
add_filter('loop_shop_per_page', create_function('$cols', 'return 12;'));
add_filter('loop_shop_columns', 'loop_columns');
if (!function_exists('loop_columns')) {
	function loop_columns() {
		return 3;
	}
}
add_filter( 'woocommerce_output_related_products_args', 'noheader_output_related_products' );
function noheader_output_related_products( $args ) {
	$args = array('posts_per_page' => 3, 'columns' => 3,'orderby' => 'rand' );	return $args;}
function noheader_frontend() {
 	wp_enqueue_style( 'noheader-style', get_stylesheet_uri() );
}
function noheader_wp_title( $title, $sep ) {
	global $paged, $page;
	if ( is_feed() )
		return $title;
	$title .= get_bloginfo( 'name' );
	$site_description = get_bloginfo( 'description', 'display' );
	if ( $site_description && ( is_home() || is_front_page() ) )
		$title = "$title $sep $site_description";
	if ( $paged >= 3 || $page >= 3 )
		$title = "$title $sep " . sprintf( __( 'Page %s', 'noheader' ), max( $paged, $page ) );
	return $title;
}
add_filter( 'wp_title', 'noheader_wp_title', 10, 3 );
if ( is_singular() ) wp_enqueue_script( "comment-reply" );
$args = array(
	'before'           => '<p>' . __('Pages:', 'noheader'),
	'after'            => '</p>',
	'link_before'      => '',
	'link_after'       => '',
	'next_or_number'   => 'number',
	'nextpagelink'     => __('Next page', 'noheader'),
	'previouspagelink' => __('Previous page', 'noheader'),
	'pagelink'         => '%',
	'echo'             => 1
);
add_filter( 'wp_tag_cloud', 'noheader_tag_cloud' );
function noheader_tag_cloud( $tags ){
    return preg_replace(
        "~ style='font-size: (\d+)pt;'~",
        ' class="tag-cloud-size-\10"',
        $tags
    );
}
$defaults = array(
	'theme_location'  => '',
	'menu'            => '',
	'container'       => 'div',
	'container_class' => '',
	'container_id'    => '',
	'menu_class'      => 'menu',
	'menu_id'         => '',
	'echo'            => true,
	'fallback_cb'     => 'wp_page_menu',
	'before'          => '',
	'after'           => '',
	'link_before'     => '',
	'link_after'      => '',
	'items_wrap'      => '<ul id="%1$s" class="%2$s">%3$s</ul>',
	'depth'           => 0,
	'walker'          => ''
);
?>